Next: picoChip Options, Previous: OpenRISC Options, Up: Submodel Options

#### 3.19.39 PDP-11 Options

These options are defined for the PDP-11:

`-mfpu`
  Use hardware FPP floating point. This is the default. (FIS floating point on the PDP-11/40 is not supported.) Implies -m45.
`-msoft-float`
  Do not use hardware floating point.
`-mac0`
  Return floating-point results in ac0 (fr0 in Unix assembler syntax).
`-mno-ac0`
  Return floating-point results in memory. This is the default.
`-m40`
  Generate code for a PDP-11/40. Implies -msoft-float -mno-split.
`-m45`
  Generate code for a PDP-11/45. This is the default.
`-m10`
  Generate code for a PDP-11/10. Implies -msoft-float -mno-split.
`-mint16`
`-mno-int32`
  Use 16-bit `int`. This is the default.
`-mint32`
`-mno-int16`
  Use 32-bit `int`.
`-msplit`
  Target has split instruction and data space. Implies -m45.
`-munix-asm`
  Use Unix assembler syntax.
`-mdec-asm`
  Use DEC assembler syntax.
`-mgnu-asm`
  Use GNU assembler syntax. This is the default.
`-mlra`
  Use the new LRA register allocator. By default, the old “reload” allocator is used.